package com.zjrs.zwnw.zj.dto;

import io.swagger.annotations.ApiModelProperty;

import jakarta.validation.constraints.NotBlank;

public class GccrcSaveIsZxDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "高层次人才认定ID")
    @NotBlank(message = "高层次人才认定ID不能为空")
    private String rsZjGccrcLsh;

    @ApiModelProperty(value = "人才卡状态")
    @NotBlank(message = "人才卡状态不能为空")
    private String rckzt;

    @ApiModelProperty(value = "注销原因")
    private String zxyy;

    public String getRsZjGccrcLsh() {
        return rsZjGccrcLsh;
    }

    public void setRsZjGccrcLsh(String rsZjGccrcLsh) {
        this.rsZjGccrcLsh = rsZjGccrcLsh;
    }

    public String getRckzt() {
        return rckzt;
    }

    public void setRckzt(String rckzt) {
        this.rckzt = rckzt;
    }

    public String getZxyy() {
        return zxyy;
    }

    public void setZxyy(String zxyy) {
        this.zxyy = zxyy;
    }
}
